# TMR_TagOp_GEN2_BlockPermaLock Struct Reference

`#include <tmr_tagop.h>`

List of all members.

## Public Attributes

uint8_t | readLock
TMR_GEN2_Bank | bank
uint32_t | blockPtr
TMR_uint16List | mask

## Detailed Description

Parameters of a Gen2 tag Block PermaLock operation

## Member Data Documentation

TMR_GEN2_Bank TMR_TagOp_GEN2_BlockPermaLock::bank

Gen2 memory bank to lock

uint32_t TMR_TagOp_GEN2_BlockPermaLock::blockPtr

The starting word address to lock

TMR_uint16List TMR_TagOp_GEN2_BlockPermaLock::mask

Mask: Which blocks to lock?

uint8_t TMR_TagOp_GEN2_BlockPermaLock::readLock

Read lock status or write it?

The documentation for this struct was generated from the following file:

- tmr_tagop.h